<script lang="ts">
  import Draggable from '@svelte-common/components/Draggable.svelte';
  import Portal from '@svelte-common/components/Portal.svelte';
  import DatalistInput from '@svelte-common/inputs/DatalistInput.svelte';
  import DebounceInput from '@svelte-common/inputs/DebounceInput.svelte';
  import NumberInput from '@svelte-common/inputs/NumberInput.svelte';
  import Backdrop from '@svelte-common/views/Backdrop.svelte';
  import Counter from '~/lib/Counter.svelte';
  import svelteLogo from '/svelte.svg';
  import viteLogo from '/vite.svg';

  let inputValueFromNumberInput = '';
  $: console.log(inputValueFromNumberInput);

  let debounceInputValue = '';
  $: console.log('debounceInputValue', debounceInputValue);

  let datalistValue = '';
  $: console.log('datalistValue', datalistValue);
</script>

<main>
  <div>
    <a
      href="https://vitejs.dev"
      target="_blank"
      rel="noreferrer">
      <img
        src={viteLogo}
        class="logo"
        alt="Vite Logo" />
    </a>
    <a
      href="https://svelte.dev"
      target="_blank"
      rel="noreferrer">
      <img
        src={svelteLogo}
        class="logo svelte"
        alt="Svelte Logo" />
    </a>
  </div>
  <h1>Vite + Svelte</h1>
  <div class="card">
    <Counter />
  </div>
  <Portal>
    <Backdrop>test</Backdrop>
  </Portal>
  <NumberInput bind:inputValue={inputValueFromNumberInput} />
  <DebounceInput bind:inputValue={debounceInputValue} />
  <DatalistInput
    listId="test"
    options={['Edge', 'Firefox', 'Chrome', 'Opera', 'Safari']}
    bind:inputValue={datalistValue} />
  <p>
    Check out <a
      href="https://github.com/sveltejs/kit#readme"
      target="_blank"
      rel="noreferrer">SvelteKit</a
    >, the official Svelte app framework powered by Vite!
  </p>
  <Draggable>
    <!-- <div class="handlebar">Handlebar</div> -->
    Drag this</Draggable>
  <p class="read-the-docs">Click on the Vite and Svelte logos to learn more</p>
</main>

<style>
  .logo {
    height: 6em;
    padding: 1.5em;
    transition: filter 300ms;
    will-change: filter;
  }

  .logo:hover {
    filter: drop-shadow(0 0 2em hsl(237deg 100% 70% / 66.7%));
  }

  .logo.svelte:hover {
    filter: drop-shadow(0 0 2em hsl(15deg 100% 50% / 66.7%));
  }

  .read-the-docs {
    color: hsl(0deg 0% 53%);
  }
</style>
